Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.url
Class UrlFileName

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileName
          org.apache.commons.vfs.provider.GenericFileName
              org.apache.commons.vfs.provider.URLFileName
                  org.apache.commons.vfs.provider.url.UrlFileName

All Implemented Interfaces:
  Comparable, FileName

public class UrlFileName
extends URLFileName

Created by IntelliJ IDEA. User: im Date: 28.06.2005 Time: 16:00:19 To change this template use File | Settings | File Templates.

Field Summary

Fields inherited from interface org.apache.commons.vfs.FileName
`ROOT_PATH, SEPARATOR, SEPARATOR_CHAR`

Constructor Summary
`UrlFileName(String scheme, String hostName, int port, int defaultPort, String userName, String password, String path, FileType type, String queryString)`

Method Summary
`protected void` | `appendRootUri(StringBuffer buffer, boolean addPassword)` Builds the root URI for this file name.

Methods inherited from class org.apache.commons.vfs.provider.URLFileName
`createName, createURI, getPathQuery, getPathQueryEncoded, getQueryString, getURIEncoded`

Methods inherited from class org.apache.commons.vfs.provider.GenericFileName
`appendCredentials, getDefaultPort, getHostName, getPassword, getPort, getUserName`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileName
`checkName, compareTo, equals, getBaseName, getDepth, getExtension, getFriendlyURI, getParent, getPath, getPathDecoded, getRelativeName, getRoot, getRootURI, getScheme, getType, getURI, getUriTrailer, hashCode, isAncestor, isDescendent, isDescendent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UrlFileName

    public UrlFileName(String scheme,
                       String hostName,
                       int port,
                       int defaultPort,
                       String userName,
                       String password,
                       String path,
                       FileType type,
                       String queryString)

Method Detail

### appendRootUri

    protected void appendRootUri(StringBuffer buffer,
                                 boolean addPassword)

  Description copied from class: `GenericFileName`
  Builds the root URI for this file name.

  Overrides:
    `appendRootUri` in class `GenericFileName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.